=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2005-12-02 05:25:53 +0000
+++ bzrlib/tests/test_msgeditor.py	2005-12-13 05:48:04 +0000
@@ -21,7 +21,7 @@
 
 from bzrlib.branch import Branch
 from bzrlib.msgeditor import make_commit_message_template
-from bzrlib.tests import TestCaseInTempDir
+from bzrlib.tests import TestCaseInTempDir, TestSkipped
 
 from bzrlib.tests.treeshape import build_tree_contents
 
@@ -31,7 +31,11 @@
     b = Branch.initialize('.')
     working_tree = b.working_tree()
     filename = u'hell\u00d8'
-    build_tree_contents([(filename, 'contents of hello')])
+    try:
+        build_tree_contents([(filename, 'contents of hello')])
+    except UnicodeEncodeError:
+        raise TestSkipped("can't build unicode working tree in "
+                "filesystem encoding %s" % sys.getfilesystemencoding())
     working_tree.add(filename)
     return working_tree
 

